Page MenuHomePhabricator

Emptying description on Wikidata doesn't remove it from ElasticSearch database used by wbsearchentities
Closed, ResolvedPublic

Description

Based on the behaviour seen on T179338 and recently on other items, I've noticed that old descriptions don't get removed from the ElasticSearch database on Wikidata.

Examples are https://www.wikidata.org/wiki/Q887670 (most languages still show something related to Wikimedia list) and https://www.wikidata.org/wiki/Q184654 (tetteeeeee appears as Dutch description, despite being removed on 15th of August). Only fix is adding some description, but sometimes people only revert vandalism.

I don't think we want vandalism reappearing that doesn't even exist anymore. Also not sure how this works in combination with revisiondelete.

This issue doesn't appear in the mobile app, as it doesn't use wbsearchentities.

Event Timeline

Restricted Application added a project: Discovery. · View Herald TranscriptNov 13 2017, 6:00 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

@dcausse can it be that we need to add noop hints for description field too?

Change 391146 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[mediawiki/extensions/Wikibase@master] Add noop hint for Descriptions too

https://gerrit.wikimedia.org/r/391146

@Smalyshev it's certainly the case yes, tuning the noop script should fix the issue.

Change 391146 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Add noop hint for Descriptions too

https://gerrit.wikimedia.org/r/391146

Smalyshev closed this task as Resolved.Nov 15 2017, 8:57 PM
Smalyshev claimed this task.

Should be fine now (requires new edit or reindex for missed ones, of course).

Smalyshev reopened this task as Open.Dec 3 2017, 9:43 PM

Indeed, https://www.wikidata.org/wiki/Q1154385?action=cirrusDump shows the description is there, even though it was edited. @dcausse, maybe you have an idea why the data hasn't been updated?

Change 395006 had a related patch set uploaded (by DCausse; owner: DCausse):
[mediawiki/extensions/Wikibase@master] Let cirrus knows that the field is empty

https://gerrit.wikimedia.org/r/395006

Change 395006 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Let cirrus knows that the field is empty

https://gerrit.wikimedia.org/r/395006

Smalyshev triaged this task as Normal priority.Dec 6 2017, 12:11 AM
Smalyshev closed this task as Resolved.Dec 7 2017, 8:08 PM

Should be fine now, please verify (items that were bad may still need an edit to update).